:root{
--red:#c62828;
--orange:#ef6c00;
--dark:#1a1a1a;
--gray:#2a2a2a;
--text:#ffffff;
}

*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Cairo',sans-serif;
}

body{
background:var(--dark);
color:var(--text);
scroll-behavior:smooth;
}

/* ===== Loader ===== */
#loader{
position:fixed;
width:100%;
height:100%;
background:#111;
display:flex;
justify-content:center;
align-items:center;
z-index:2000;
}

.spinner{
width:50px;
height:50px;
border:5px solid #333;
border-top:5px solid var(--orange);
border-radius:50%;
animation:spin 1s linear infinite;
}

@keyframes spin{
to{transform:rotate(360deg);}
}

/* ===== Navbar ===== */
nav{
border-bottom: 4px solid var(--orange);
position:fixed !important;
width:100%;
background:rgb(255, 255, 255);
padding:15px 40px;
display:flex;
justify-content:space-between;
align-items:center;
z-index:1000 !important;
}
 a{
    color:#000;
}

.logo img{
  width:150px;
}

.links a{
color:rgb(31, 31, 31);
margin:0 12px;
text-decoration:none;
}

.links a:hover{
color:var(--orange);
}

#langBtn{
margin-left:10px;
padding:5px 10px;
background:var(--orange);
border:none;
color:white;
cursor:pointer;
}

/* ===== Hero ===== */
.hero{
height:100vh;
position:relative;
overflow:hidden;
}

.slide{
position:absolute;
width:100%;
height:100%;
background-size:cover;
background-position:center;
opacity:0;
transition:opacity 1s ease-in-out;
}

.slide.active{opacity:1;}

.slide-content{
position:absolute;
bottom:30%;
left:10%;
background:rgba(0,0,0,0.6);
padding:20px 30px;
border-left:5px solid var(--orange);
}

.slide-content h1{
font-size:36px;
color:var(--orange);
}

section, nav, footer, .hero{
position:relative;
z-index:5;
}

/* Products */
.products-section{
background:#1e1e1e;
padding:80px 0;
color:#fff;
}

.section-title{
text-align:center;
font-size:32px;
margin-bottom:40px;
color:#ff6f00;
}

.accordion{
max-width:900px;
margin:auto;
}

.accordion-item{
border:1px solid #333;
margin-bottom:15px;
border-radius:8px;
overflow:hidden;
background:#2a2a2a;
}

.accordion-header{
width:100%;
background:none;
border:none;
padding:18px 20px;
font-size:18px;
color:#fff;
display:flex;
justify-content:space-between;
align-items:center;
cursor:pointer;
transition:0.3s;
}

.accordion-header:hover{
background:#ff6f00;
}

.accordion-content{
max-height:0;
overflow:hidden;
padding:0 20px;
background:#222;
transition:max-height 0.4s ease;
}

.accordion-content p{
padding:15px 0;
color:#ddd;
}

.accordion-item.active .accordion-content{
max-height:620px;
}

.accordion-item.active .icon{
transform:rotate(45deg);
}



/* RTL */
body[dir="rtl"] #roadPath{
left:auto;
right:0;
transform:scaleX(-1);
}


/* ===== Sections ===== */
section{
padding:90px 12%;
min-height:100vh;
opacity:0;
transform:translateY(50px);
transition:1s ease;
}

section.show{
opacity:1;
transform:translateY(0);
border-top: 2px dotted var(--orange);
}

h2{
color:var(--orange);
margin-bottom:20px;
}

p{
line-height:1.8;
color:#ddd;
}

/* ===== Icon Sections ===== */
.icon-grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
gap:30px;
margin-top:40px;
}

.icon-box{
background:var(--gray);
padding:30px;
text-align:center;
border-radius:8px;
transition:0.3s;
}

.icon-box i{
font-size:40px;
color:var(--orange);
margin-bottom:15px;
}

.icon-box h3{
margin-bottom:10px;
color:white;
}

.icon-box p{
font-size:14px;
color:#ccc;
}

.icon-box:hover{
transform:translateY(-5px);
box-shadow:0 0 15px rgba(239,108,0,0.3);
}

/* RTL Fix */
body[dir="rtl"] .icon-box{
text-align:center;
}

/* ===== Services Section ===== */
.services, .values{
  background-color: var(--text);
}
.services-grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
gap:10px;
margin-top:40px;
}

.service-card{
background:var(--gray);
padding:30px;
border-radius:8px;
text-align:center;
transition:0.3s;
}

.service-card i{
font-size:40px;
color:var(--orange);
margin-bottom:15px;
}

.service-card h3{
margin-bottom:10px;
color:white;
}

.service-card p{
font-size:14px;
color:#ccc;
line-height:1.7;
}

.service-card:hover{
transform:translateY(-8px);
box-shadow:0 0 20px rgba(239,108,0,0.4);
}

.contact-info a{
  color: #fff;
}
 .contact-info a:hover, .contact-info a:active, .contact-info a:focus, .contact-info a:visited{
  color: #fff;
}

/* ===== Footer ===== */
footer{
background:var(--gray);
text-align:center;
padding:20px;
}

/* ===== RTL Support ===== */
body[dir="rtl"] .slide-content{
left:auto;
right:10%;
border-left:none;
border-right:5px solid var(--orange);
}

/* Responsive */
@media(max-width:768px){
.slide-content h1{font-size:24px;}
nav{padding:10px 20px;}
}

/* ===== Mobile Menu ===== */
.menu-toggle{
display:none;
font-size:26px;
color:white;
cursor:pointer;
}

.map-container {

  position: relative;

  padding-bottom: 75%; 

  height: 0;

  overflow: hidden;

}

.map-container iframe {

  position: absolute;

  top: 0;

  left: 0;

  width: 100% !important;

  height: 100% !important;

}

@media(max-width:768px){

.menu-toggle{
display:block;
color:#1a1a1a;
}

.links{
position:absolute;
top:60px;
right:0;
background:var(--gray);
width:200px;
flex-direction:column;
text-align:right;
padding:10px;
display:none;
}

.links a, .links button{
display:block;
margin:10px 0;
}

.links.active{
display:flex;
background-color: #fff;
}

}

